Re: install python2.4 on FreeBSD and keep using python2.3

Discussion in 'Python' started by Xiao Jianfeng, Nov 18, 2005.

  1. Andrew MacIntyre wrote:

    >[posted & mailed]
    >Ksenia Marasanova wrote:
    >
    >
    >
    >>I have python2.3, installed from port /lang/python long time ago. The
    >>current version is 2.4, but I'd rather have two python versions,
    >>instead of upgrading.
    >>Is there maybe a way to somehow link installed python to
    >>/lang/python2.3 port, and then upgrade ports and install /lang/python
    >>as a new (2.4) version, without upgrading?
    >>Or am I missing something and the things are much easier? I am not a
    >>FreeBSD guru and it's my first python upgrade... thanks!
    >>
    >>

    >
    >As far as I know, the FreeBSD ports versions of python don't interfere
    >with python's default strategy of installing based on major.minor version
    >numbers (eg /usr/local/lib/python2.[3|4] & /usr/local/bin/python2.[3|4]).
    >/usr/local/bin/python will be linked to the most recently installed
    >python port.
    >
    >
    >

    Can I install python2.4.2 and keep using python2.4.1 on IRIX?

    >Its been a while since I looked, but I thought that the ports collection
    >would contain 2.3(.5) as well as 2.4(.2, default "python" port), so I
    >expect that the ports collection has support for multiple versions
    >anyway.
    >
    >So you should be able to update the ports collection, change into
    >lang/python and "make install". A quick review of the port makefiles
    >should confirm this. Any scripts that are 2.3 only will need to be
    >doctored to use /usr/local/bin/python2.3 instead of
    >/usr/local/bin/python.
    >
    >-------------------------------------------------------------------------
    >Andrew I MacIntyre "These thoughts are mine alone..."
    >E-mail: (pref) | Snail: PO Box 370
    > (alt) | Belconnen ACT 2616
    >Web: http://www.andymac.org/ | Australia
    >
    >
    Xiao Jianfeng, Nov 18, 2005
    #1
    1. Advertising

  2. Xiao Jianfeng

    Mike Meyer Guest

    Xiao Jianfeng <> writes:
    > Can I install python2.4.2 and keep using python2.4.1 on IRIX?


    Yes, but you'll have to install it with a different prefix. Use the
    --prefix flag to configure when you install it.

    <mike
    --
    Mike Meyer <> http://www.mired.org/home/mwm/
    Independent WWW/Perforce/FreeBSD/Unix consultant, email for more information.
    Mike Meyer, Nov 18, 2005
    #2
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. John fabiani
    Replies:
    0
    Views:
    263
    John fabiani
    Jul 2, 2004
  2. Ksenia Marasanova
    Replies:
    2
    Views:
    348
    Mike Meyer
    Nov 17, 2005
  3. M.-A. Lemburg
    Replies:
    0
    Views:
    388
    M.-A. Lemburg
    Oct 25, 2008
  4. Farhan Sheikh
    Replies:
    0
    Views:
    412
    Farhan Sheikh
    Aug 17, 2009
  5. Ned Deily
    Replies:
    0
    Views:
    679
    Ned Deily
    Aug 17, 2009
Loading...

Share This Page